import java.io.File;
import java.io.IOException;
import java.util.Properties;

import javax.mail.Authenticator;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Multipart;
import javax.mail.NoSuchProviderException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeBodyPart;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMultipart;


public class EnvoiPieceAttachee {

    private static final String SMTP_HOST_NAME = "smtp.orange.fr";
    private static final String SMTP_AUTH_USER = "moi@orange.fr";
    private static final String SMTP_AUTH_PWD  = "****";
    private static final String MAIL_ADDRESS = "moi@orange.fr";

    public static void main(String[] args) throws Exception{
    	
    	new EnvoiPieceAttachee().test(); }
    
    	
     public void test() throws MessagingException, IOException {
        Properties props = new Properties();
        props.put("mail.transport.protocol", "smtp");
        props.put("mail.smtp.host", SMTP_HOST_NAME);
        props.put("mail.smtp.auth", "true");

        Authenticator auth = new SMTPAuthenticator();
        Session mailSession = Session.getDefaultInstance(props, auth);
        // commenter pour viter la trace
          mailSession.setDebug(true);
        Transport transport = mailSession.getTransport();

        MimeMessage message = new MimeMessage(mailSession);
        message.setContent("Ceci est un test", "text/plain");
        message.setSubject("Essai");
        message.setFrom(new InternetAddress(MAIL_ADDRESS));
        message.addRecipient(Message.RecipientType.TO,
             new InternetAddress(MAIL_ADDRESS));
     // creates message part
		MimeBodyPart messageBodyPart = new MimeBodyPart();
		messageBodyPart.setContent(message, "text/html");
		messageBodyPart.setText("Essai");

		// creates multi-part
		Multipart multipart = new MimeMultipart();
		multipart.addBodyPart(messageBodyPart);
		// attachments
		String[] attachFiles = new String[2];
		String repertoireCourant = "D:\\Book\\workspace\\EnvoiCourrier\\";
		attachFiles[0] = repertoireCourant+"photo.png";
		attachFiles[1] = repertoireCourant+"texte.txt";
	

		// adds attachments
		if (attachFiles != null && attachFiles.length > 0) {
			for (String filePath : attachFiles) {
				MimeBodyPart attachPart = new MimeBodyPart();

				try {
					System.out.println(new File(filePath).exists());
					attachPart.attachFile(filePath);
				} catch (IOException ex) {
					ex.printStackTrace();
				}

				multipart.addBodyPart(attachPart);
			}
		}

		// sets the multi-part as e-mail's content
		message.setContent(multipart);

        transport.connect();
        transport.sendMessage(message,
            message.getRecipients(Message.RecipientType.TO));
        transport.close();
        System.out.println("OK");
    }

    private class SMTPAuthenticator extends javax.mail.Authenticator {
        public PasswordAuthentication getPasswordAuthentication() {
           String username = SMTP_AUTH_USER;
           String password = SMTP_AUTH_PWD;
           return new PasswordAuthentication(username, password);
        }
    }
}