import java.util.*;
import java.io.*;
 
import org.jivesoftware.smack.Chat;
import org.jivesoftware.smack.ConnectionConfiguration;
import org.jivesoftware.smack.MessageListener;
import org.jivesoftware.smack.Roster;
import org.jivesoftware.smack.RosterEntry;
import org.jivesoftware.smack.XMPPConnection;
import org.jivesoftware.smack.XMPPException;
import org.jivesoftware.smack.packet.Message;
 
public class JabberSmackBobAPI implements MessageListener{
 
    XMPPConnection connection;
 
    public void login(String userName, String password) throws XMPPException
    {
    ConnectionConfiguration config = new ConnectionConfiguration("127.0.0.1",5222, "Conference");
    connection = new XMPPConnection(config);
 
    connection.connect();
    connection.login(userName, password);
    }
 
    public void sendMessage(String message, String to) throws XMPPException
    {
    Chat chat = connection.getChatManager().createChat(to, this);
    chat.sendMessage(message);
    }
 
    public void displayBuddyList()
    {
    Roster roster = connection.getRoster();
    Collection<RosterEntry> entries = roster.getEntries();
 
    
    System.out.println("\n\n Nombre de personnes en ligne :" + entries.size());
    for(RosterEntry r:entries)
    {
    System.out.println(r.getUser());
    }
    }
 
    public void disconnect()
    {
    connection.disconnect();
    }
 
    public void processMessage(Chat chat, Message message)
    {
    if(message.getType() == Message.Type.chat)
    System.out.println(chat.getParticipant() + " rpond: " + message.getBody());
    }
 
    public static void main(String args[]) throws XMPPException, IOException
    {
    // declare variables
    JabberSmackBobAPI c = new JabberSmackBobAPI();
    BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    String msg;
 
 
    // turn on the enhanced debugger
    XMPPConnection.DEBUG_ENABLED = true;
 
 
    // Enter your login information here
    c.login("bob", "bob");
 
    c.displayBuddyList();
 
    System.out.println("-----");
 
    System.out.println("A qui voulez-vous parler:");
    String talkTo = br.readLine();
 
    System.out.println("-----");
    System.out.println("Tous les messages seront envoys  " + talkTo);
    System.out.println("Taper votre message dans la console:");
    System.out.println("-----\n");
 
    while( !(msg=br.readLine()).equals("fin"))
    {
        c.sendMessage(msg, talkTo);
    }
 
    c.disconnect();
    System.exit(0);
    }
 
}